Bug 68145 - comicscartoon font no longer works as titlebar font
comicscartoon font no longer works as titlebar font
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: fvwm2 (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
http://www.fvwm.org/cgi-bin/fvwm-bug/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-06 19:07 EDT by Wesley Tanaka
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:44:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Tanaka 2002-07-06 19:07:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a+) Gecko/20020704

Description of problem:
I am using comicscartoon from the sharefonts package
<ftp://rpmfind.net/linux/contrib/noarch/noarch/sharefonts-0.10-9.noarch.rpm>
as my titlebar font by including the following line:

WindowFont "-*-comicscartoon-*-*-*-*-14-*-*-*-*-*-*-*"

in my .fvwm2rc file.

In fvwm2 version 2.2.4, the font was displayed correctly.  However, when I
upgraded to version 2.4.6, the font was instead silently replaced with a
different font.

The comicscartoon font was still loaded on my system -- when I tried to do
an xfontsel -pattern "-*-comicscartoon-*-*-*-*-14-*-*-*-*-*-*-*"

the correct font displayed in the window.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1) install sharefonts package from
ftp://rpmfind.net/linux/contrib/noarch/noarch/sharefonts-0.10-9.noarch.rpm
2) install fvwm2 2.2.4  from
ftp://rpmfind.net/linux/redhat/7.1/en/os/i386/RedHat/RPMS/fvwm2-2.2.4-9.i386.rpm
3) add WindowFont "-*-comicscartoon-*-*-*-*-14-*-*-*-*-*-*-*"
to .fvwm2rc
4) run fvwm2
5) the font is correctly displayed
6) install fvwm2 2.4.6 from
ftp://rpmfind.net/linux/redhat/7.3/en/os/i386/RedHat/RPMS/fvwm2-2.4.6-1.i386.rpm
8) restart fvwm2
9) the font has been replaced with a different font



Actual Results:  some other font is displayed instead





Expected Results:  comicscartoon font is displayed in the titlebars of
windows

Additional info:

This problem also occurs with fvwm2 2.2.5 from redhat 7.2



I received a mail from Dominik Vogt which said:

Please upgrade to the latest stable fvwm release (2.4.8).  We have
done a lot of work related to the parsing of fonts.  You should
not encounter this problem anymore.  If the problem persits,
please report back.

Bye

Dominik ^_^  ^_^





Based on Dominik's suggestion, I installed
http://prdownloads.sourceforge.net/fvwm-ewmh/fvwm-2.4.8-1ewmh_0.7.i586.rpm

and the bug no longer existed.
Comment 1 Bill Nottingham 2006-08-05 00:56:33 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 12:44:09 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.